class UrlRemoverNotImplementedException(Exception):
    def __init__(self, domain: str):
        self.__base_message = "Url remover for domain not implemented"
        self.domain = domain
        super().__init__(self.__base_message)

    def __str__(self):
        return f'{self.__base_message}: {self.domain}'


class UnknownAnimationType(Exception):
    pass
